LFR-FSW - Task #510

fields DESTINATION_ID on TM_LFR_PARAMETER_DUMP and TM_LFR_KCOEFFICIENTS_DUMP
compliant // R3

25/09/2015 02:32 PM - Veronique bouzid
Description

Suite aux bugs #507 et #508, il faut adapter les codes de validation pour vérifier le champ DESTINATION_ID

des TM_LFR_PARAMETER_DUMP et TM_LFR_KCOEFFICIENTS_DUMP qui doit etre égale au champ SOURCE_ID de la
TC_LFR associée

soit TC_LFR_DUMP_PAR et TC_LFR_DUMP_KCOEFFICIENTS.

Cas de TM_LFR_PARAMETER_DUMP
modifier Ifrverif/common/icd/tm_Ifr_parameter_dump_analyze.py pour accepter I'ensemble de source_id valides.
ici la section a ajouter

item = "DESTINATION_ID: "

destination_id = tm_ccsds®

if destination_id == 0:

tmp += item + "GROUND =0, "

elif destination_id == 110:

tmp += item + "MISSION_TIMELINE = 110, "
elif destination_id == 111:

tmp += item + "TC_SEQUENCES = 111, "
elif destination_id == 112:

tmp += item + "RECOVERY_ACTION_CMD = 112, "
elif destination_id == 113:

tmp += item + "BACKUP_MISSION_TIMELINE = 113, "
elif destination_id == 120:

tmp += item + "DIRECT_CMD = 120, "

elif destination_id == 121:

tmp += item + "SPARE_GRD_SRC1 =121, "
elif destination_id == 122:

tmp += item + "SPARE_GRD_SRC2 = 122, "
elif destination_id == 15:

tmp += item + "OBCP = 15, "

elif destination_id == 14:

tmp += item + "SYSTEM_CONTROL = 14, "
elif destination_id == 11:

tmp += item + "AOCS = 11, "

elif destination_id == 254:

tmp += item + "RPW_INTERNAL = 254, "
else:

tmp +="/\\" + item + str(destination_id) + ', '

ensuite il faut egalement ajouter la sequence qui permet d'associer le source_id de la tc_Ifr_dump_par avec la reponse.
--> creation d'un mécanisme identique a celui de tm_acknowledgment.py (Ifrverifcommon/RulesClasses).

Cas de TM_LFR_KCOEFFICIENTS_DUMP

modifier Ifrverif/common/icd/tm_Ifr_parameter_dump_analyze.py pour accepter I'ensemble de source_id valides.
ici la section a ajouter

item = "DESTINATION_ID: "

destination_id = tm_ccsds®

if destination_id == 0:

tmp += item + "GROUND =0, "

elif destination_id == 110:

tmp += item + "MISSION_TIMELINE = 110, "
elif destination_id == 111:

tmp += item + "TC_SEQUENCES = 111, "
elif destination_id == 112:

tmp += item + "RECOVERY_ACTION_CMD = 112, "
elif destination_id == 113:

tmp += item + "BACKUP_MISSION_TIMELINE = 113, "
elif destination_id == 120:

tmp += item + "DIRECT_CMD = 120, "

elif destination_id == 121:

tmp += item + "SPARE_GRD_SRC1 =121, "
elif destination_id == 122:

tmp += item + "SPARE_GRD_SRC2 = 122, "
elif destination_id == 15:

tmp += item + "OBCP = 15, "

elif destination_id == 14:

tmp += item + "SYSTEM_CONTROL = 14, "
elif destination_id == 11:

tmp += item + "AOCS = 11, "

elif destination_id == 254:

tmp += item + "RPW_INTERNAL = 254, "
else:

tmp +="/N\\" + item + str(destination_id) + ',

ensuite il faut egalement ajouter la sequence qui permet d'associer le source_id de la tc_lfr_dump_par avec la reponse.
--> creation d'un mécanisme identique a celui de tm_acknowledgment.py (Ifrverifcommon/RulesClasses).

Related issues:

Related to Bug #507: Field DESTINATION_ID into TM_LFR_PARAMETER_DUMP non comp... Closed 24/09/2015
Related to Bug #508: Field DESTINATION_ID into TM_LFR_KCOEFFICIENTS_DUMP non... Closed 24/09/2015
History

#1 - 01/10/2015 09:56 AM - Veronique bouzid

- Status changed from New to In Progress

Création de la fonction /opt/VALIDATION_RS3/Ifrverif/common/RulesClasses/dump_par_reporting.py
Mise & jour du script /home/validation/data/R3/scripts/verif_fields.py

#2 - 02/10/2015 04:23 PM - Veronique bouzid

- Status changed from In Progress to Closed

le script /opt/VALIDATION_RS3/Ifrverif/common/RulesClasses/dump_par_reporting.py vérifie également le SEQUENCE_CNT et le champ
DESTINATION_ID.

Voici ce que I'on observe comme informations dans le rapport du fichier dump_reporting.txt

/home/validation/data/R3/3.0.0.9/1.1.89/SVS-0018/2015_10_01-11_55_41-Detail.txt
11 TC_LFR_DUMP_PAR sent and 11 received

11 TC_LFR_DUMP_PAR sent and 22 received

Array sequence_cnt by destination_id = [2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 65535]

Array number of TM_LFR_PARAMETER_DUMP and TM_LFR_KCOEFFICIENTS_DUMP and sent by destination_id =[3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0]
le test a envoyé 1 TC_LFR_DUMP_PAR et 1 TC_LFR_DUMP_PAR pour chaque SOURCE_ID de 0 a 256 .

11 sources valides

SOURCE_ID_ENUM = [110, 111, 112,113, 120, 121, 122, 15, 14, 11, 254]

correspondent aux tableau de DESTINATION_ID

DESTINATION_ID_ENUM = [110, 111,112, 113, 120, 121, 122, 15, 14, 11, 254, 0]

0 ne doit jamais avoir recu de paquet, le numéro de seq = 65535

correspondent aux 11 elts du tableau destination_id, le dernier
quic
